	/**
	 * Creates a hexadecimal representation for an array of bytes.
	 * <p>
	 * The letters A-F are in uppercase.
	 * 
	 * @param bytes
	 *        The bytes
	 * @return The hexadecimal representation
	 */
	public static String toHex( byte[] bytes )
	{
		// BigInteger i = new BigInteger( 1, bytes );
		// return String.format( "%0" + ( bytes.length << 1 ) + "x", i );

		// See: http://stackoverflow.com/a/9855338/849021

		char[] hexChars = new char[bytes.length * 2];
		int v;
		for( int j = 0; j < bytes.length; j++ )
		{
			v = bytes[j] & 0xFF;
			hexChars[j * 2] = HEX[v >>> 4];
			hexChars[j * 2 + 1] = HEX[v & 0x0F];
		}
		return new String( hexChars );
}