    /**
     * Converts a string of the form "00A0BF" into a byte array with the corresponding values.
     * 
     * @param s
     *            a string that consists of hex characters e.g. "00A0BF"
     * 
     * @return a byte array that contains the bytes of the given hex string
     * 
     * */
    public static byte[] hexStringToByteArray(String s) {
        // the code of this method is taken from http://stackoverflow.com/a/140861
        int len = s.length();
        byte[] data = new byte[len / 2];
        for (int i = 0; i < len; i += 2) {
            data[i / 2] = (byte) ((Character.digit(s.charAt(i), 16) << 4) + Character.digit(s.charAt(i + 1), 16));
        }
        return data;
}