	private final static String[] units = new String[] { "Bytes", "KiloBytes", "MegaBytes", "GigaBytes", "TeraBytes"};
	/** Returns a human readable representation of a filesize given in bytes
	 * @author Mr Ed - http://stackoverflow.com/a/5599842 
	 * @param fileSizeInBytes the file size in bytes 
	 * @return a human readable representation of the filesize using the following measures: Bytes, KiloBytes, MegaBytes,
	 * GigaBytes, TeraBytes */
	public static String getReadableFileSize(long fileSizeInBytes) {
		if (fileSizeInBytes <= 0) {
			return "0";
		}

		int digitGroups = (int) (Math.log10(fileSizeInBytes)/Math.log10(1024));

		return new DecimalFormat("#,##0.#").format(fileSizeInBytes / Math.pow(1024, digitGroups)) + " " + units[digitGroups];
}