    /**
     * Creates a string from the contents of a File.
     * 
     * @param file The File to read a string from.
     * 
     * @return The file contents as a string.
     * 
     * @throws IOException If a reading error occurs.
     */
    public static String readStringFromFile( File file ) throws IOException
    {
        // From http://stackoverflow.com/a/326440/254218
        FileInputStream stream = new FileInputStream( file );
        try
        {
            FileChannel chan = stream.getChannel();
            MappedByteBuffer buf = chan.map( FileChannel.MapMode.READ_ONLY, 0, chan.size() );
            return Charset.forName( "UTF-8" ).decode( buf ).toString();
        }
        finally
        {
            stream.close();
        }
}