	/**
	 * Reads a file into a String.
	 * 
	 * @param file the file
	 * @return the contents of the file
	 * @throws IOException see {@link java.io.FileInputStream}
	 * @see "http://stackoverflow.com/a/326440"
	 * @author Marcus Michalsky
	 * @since 1.10
	 */
	public static String readFile(File file) throws IOException {
		FileInputStream stream = new FileInputStream(file);
		try {
			FileChannel fc = stream.getChannel();
			MappedByteBuffer bb = fc.map(FileChannel.MapMode.READ_ONLY, 0,
					fc.size());
			if (Charset.isSupported("UTF-8")) {
				return Charset.forName("UTF-8").decode(bb).toString();
			}
			return Charset.defaultCharset().decode(bb).toString();
		} finally {
			stream.close();
		}
}